import React from "react";
import { ColourPropTypes, CommonAndHTMLProps } from "../Element/constants";
export interface BottomDrawerCustomProps {
    isOpen?: boolean;
    onCloseCallback?: () => void;
    overlayOpacity?: number;
    overlayColour?: ColourPropTypes;
    overlayColor?: ColourPropTypes;
    closeOnClickOutside?: boolean;
    isDismissable?: boolean;
}
export type BottomDrawerElementType = HTMLDivElement;
export type BottomDrawerProps = Omit<CommonAndHTMLProps<BottomDrawerElementType>, keyof BottomDrawerCustomProps> & BottomDrawerCustomProps;
export declare const BottomDrawer: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof BottomDrawerCustomProps> & BottomDrawerCustomProps & React.RefAttributes<HTMLDivElement>>;
