import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface ProgressBarLabelCustomProps {
    unit?: string;
}
export interface ProgressBarCustomProps {
    barBg?: string;
    barFill?: string;
    unit?: string;
    height?: string;
}
export type ProgressBarElementType = HTMLProgressElement;
export type ProgressBarProps = Omit<CommonAndHTMLProps<ProgressBarElementType>, keyof ProgressBarCustomProps> & ProgressBarCustomProps;
export type ProgressBarMetaProps = Omit<CommonAndHTMLProps<HTMLDivElement>, keyof ProgressBarLabelCustomProps> & ProgressBarLabelCustomProps;
export declare const ProgressBar: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLProgressElement>, keyof ProgressBarCustomProps> & ProgressBarCustomProps & React.RefAttributes<HTMLProgressElement>>;
