import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export type SelectElementType = HTMLSelectElement;
export type OptionElementType = HTMLOptionElement;
export interface SelectCustomProps {
    options: CommonAndHTMLProps<OptionElementType>[];
    label?: string;
    helpText?: string;
    errorText?: string;
}
export type OptionProps = CommonAndHTMLProps<OptionElementType>;
export type SelectProps = Omit<CommonAndHTMLProps<SelectElementType>, keyof SelectCustomProps> & SelectCustomProps;
export declare const Select: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLSelectElement>, keyof SelectCustomProps> & SelectCustomProps & React.RefAttributes<HTMLSelectElement>>;
